package org.wso2.carbon.device.mgt.ios.apns.service;

import org.wso2.carbon.device.mgt.ios.apns.exception.APNSException;

import java.io.InputStream;

public interface PushNotificationService {

    void sendNotification(InputStream inputStream, String certPassword, boolean isProductionMode,
                                 String token, String title, String message) throws APNSException;

    void sendSilentNotification(InputStream inputStream, String certPassword, boolean isProductionMode,
                                       String token, String operationCode, int operationID) throws APNSException;

    void sendMDMNotification(InputStream inputStream, String certPassword, boolean isProductionMode,
                                    String deviceToken, String magicToken) throws APNSException;
}
