package org.wso2.carbon.device.mgt.ios.exception;

import org.wso2.carbon.device.mgt.ios.api.utils.util.Message;

import javax.ws.rs.WebApplicationException;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

public class BadRequestException extends WebApplicationException {

    public BadRequestException(Message message, MediaType mediaType) {
        super(Response.status(Response.Status.BAD_REQUEST).entity(message).type(mediaType).build());
    }

}
